curl "https://api.chatgrid.ai/v1/me/usage" \
-H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6"
{
"object": "usage",
"data": {
"credits_remaining": 4200,
"total_credits_allocated": 5000,
"monthly_allowance": 5000,
"purchased_credits": 0,
"last_reset_at": "2026-03-01T00:00:00.000Z",
"updated_at": "2026-03-15T12:00:00.000Z"
}
}
Returns the authenticated user’s credit balance and usage details.
curl "https://api.chatgrid.ai/v1/me/usage" \
-H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6"
{
"object": "usage",
"data": {
"credits_remaining": 4200,
"total_credits_allocated": 5000,
"monthly_allowance": 5000,
"purchased_credits": 0,
"last_reset_at": "2026-03-01T00:00:00.000Z",
"updated_at": "2026-03-15T12:00:00.000Z"
}
}
Returns the current credit balance, monthly allowance, and purchased credits. New users start with 5,000 credits.Documentation Index
Fetch the complete documentation index at: https://docs.chatgrid.ai/llms.txt
Use this file to discover all available pages before exploring further.
curl "https://api.chatgrid.ai/v1/me/usage" \
-H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6"
{
"object": "usage",
"data": {
"credits_remaining": 4200,
"total_credits_allocated": 5000,
"monthly_allowance": 5000,
"purchased_credits": 0,
"last_reset_at": "2026-03-01T00:00:00.000Z",
"updated_at": "2026-03-15T12:00:00.000Z"
}
}